FROM registry.gitlab.com/dc-images/php/7.3-cli-alpine/dev:v2.5.0

ENV COMPOSER_HOME=/cache/composer

# This is shared between dev, build and prod images
COPY ./docker/common_setup.sh /common_setup.sh
RUN /common_setup.sh

# This is unique for development image
RUN echo "Running development specific setup"

ENTRYPOINT ["/data/application.php"]